CS::Geometry::Sphere Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Geometry::Sphere Class Reference

A sphere. More...

`#include <cstool/genmeshbuilder.h>`

Inheritance diagram for CS::Geometry::Sphere:

List of all members.

## Public Member Functions
virtual void | Append (iGeneralFactoryState *state)
| Append this primitive to the given factory.
virtual bool | Append (iMeshFactoryWrapper *factory)
| Append this primitive to the given factory.
bool | HasCylindricalMapping () const
| Get cylindrical mapping setting.
bool | IsReversed () const
| Return reversed setting.
bool | IsTopOnly () const
| Get toponly settings.
void | SetCylindricalMapping (bool cyl)
| Set cylindrical mapping to true.
void | SetMapper (TextureMapper *mapper)
| Set the mapper.
void | SetReversed (bool rev)
| If this flag is set then generate the sphere so that it is visible from the inside.
void | SetTopOnly (bool top)
| If this flag is set then only the top half of the sphere is generated.
| Sphere (const csEllipsoid &ellips, int num)
| Generate a sphere with 'num' vertices on the rim.

## Detailed Description

A sphere.

Definition at line 268 of file genmeshbuilder.h.

## Constructor & Destructor Documentation

CS::Geometry::Sphere::Sphere | ( | const csEllipsoid & | ellips,
|  | int | num
| ) |  |

Generate a sphere with 'num' vertices on the rim.

Parameters:

  ellips | Properties of the ellipsoid to create.
  num | Number of vertices in the generated mesh.

## Member Function Documentation

virtual void CS::Geometry::Sphere::Append | ( | iGeneralFactoryState * | factory | ) | `[virtual]`

Append this primitive to the given factory.

Implements CS::Geometry::Primitive.

virtual bool CS::Geometry::Sphere::Append | ( | iMeshFactoryWrapper * | factory | ) | `[inline, virtual]`

Append this primitive to the given factory.

Returns false if the primitive is not a genmesh.

Reimplemented from CS::Geometry::Primitive.

Definition at line 321 of file genmeshbuilder.h.

bool CS::Geometry::Sphere::HasCylindricalMapping | ( |  | ) | const`[inline]`

Get cylindrical mapping setting.

Definition at line 293 of file genmeshbuilder.h.

bool CS::Geometry::Sphere::IsReversed | ( |  | ) | const`[inline]`

Return reversed setting.

Definition at line 309 of file genmeshbuilder.h.

bool CS::Geometry::Sphere::IsTopOnly | ( |  | ) | const`[inline]`

Get toponly settings.

Definition at line 301 of file genmeshbuilder.h.

void CS::Geometry::Sphere::SetCylindricalMapping | ( | bool | cyl | ) | `[inline]`

Set cylindrical mapping to true.

This is only useful if no mapper was used. Default is false.

Definition at line 291 of file genmeshbuilder.h.

void CS::Geometry::Sphere::SetMapper | ( | TextureMapper * | mapper | ) | `[inline]`

Set the mapper.

If not given the mapping as defined by SetCylindricalMapping() will be used.

Definition at line 315 of file genmeshbuilder.h.

void CS::Geometry::Sphere::SetReversed | ( | bool | rev | ) | `[inline]`

If this flag is set then generate the sphere so that it is visible from the inside.

Default false.

Definition at line 307 of file genmeshbuilder.h.

void CS::Geometry::Sphere::SetTopOnly | ( | bool | top | ) | `[inline]`

If this flag is set then only the top half of the sphere is generated.

Default is false.

Definition at line 299 of file genmeshbuilder.h.

The documentation for this class was generated from the following file:

- cstool/genmeshbuilder.h